/*
 * Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

.wr-input-control .helper {
    font-weight: 100;
}

.wr-input-control .cus-col-25 {
    float: left;
    width: 25%;
}

.wr-input-control .cus-col-50 {
    float: left;
    width: 60%;
}

.wr-input-control .cus-col-70 {
    float: left;
    width: 70%;
}

.wr-input-control .cus-col-50 input {
    width: 100%;
}

.wr-input-control .cus-col-70 input {
    width: 95%;
}

.wr-input-control .cus-col-25 input {
    width: 65%;
}

/*.wr-input-control .cus-col-50 span, .wr-input-control .cus-col-25 span {*/
/*padding-left:20px;*/
/*}*/

.user-icon-black {
    color: black !important;
}

/**/

/* wizard */
.wr-wizard {

}

.itm-wiz-current .wiz-no {
    border: 1px solid #008cc4;
    color: #fff;
    background: #008cc4;
}

.itm-wiz {
    font-weight: 300;
}

.itm-wiz div {
    display: inline-block;
    float: left;
}

.wiz-no {
    width: 50px;
    height: 50px;
    font-size: 33px;
    font-weight: 100;
    border-radius: 80px;
    border: 1px solid #ccc;
    color: #fff;
    padding: 0 12px 10px;
    display: inline-block;
    text-align: center;
    background: #ccc;
    margin-right: 10px;
}

.wiz-lbl {
    width: 190px;
    font-size: 17px;
}

.wiz-lbl > span {
    padding-top: 0;
    display: inline-block;
}

@media only screen and (min-width: 768px) {
    header .username {
        max-width: calc(100% - 100px);
    }
    body > .page-content-wrapper > .container,
    body > .page-content-wrapper > .container-fluid {
        margin: 1% 1% 1%;
        padding: 0;
    }
}

header .brand h1 {
    text-transform: none !important;
}

header .username {
    display: inline-block;
    max-width: 180px;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
    vertical-align: middle;
}

.visible-inline-block {
    display: inline-block !important;
}

.cloud-menu .popover {
    border-radius: 0px;
    width: 24em;
    left: -21.1em !important;
    max-width: 32em;
    background-color: #006690
}

.cloud-menu .popover-title, .navbar-header .popover-title {
    background-color: #006690;
    font-size: 16px;
    border-bottom: none;
    font-weight: 400;
}

.cloud-menu .popover.bottom > .arrow {
    margin-left: -2px;
}

.cloud-menu .popover.bottom > .arrow:after, .navbar-header .popover.bottom > .arrow:after {
    border-bottom-color: #006690;
}

.cloud-block {
    float: left;
    width: 8.2em;
    height: 8.2em;
    background-color: #fff;
    margin: 0.5em 0em 0.5em 0.5em;
    text-align: center;
    vertical-align: middle;
}

.cloud-name {
    font-size: 14px;
    margin-top: .5em;
    font-weight: 400;
}

.cloud-menu-popover {
    position: relative;
    float: right;
    padding: 0px 8px;
    background-color: transparent;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #fff;
    cursor: pointer;
}

#cloud-menu-popover-xs {
    color: #fff;
    line-height: 24px;
    border: none;
    margin-right: 15px !important;
}

.navbar-toggle {
    border: none;
    border-radius: 0px;
}

.navbar-header .popover {
    border-radius: 0px;
    width: 21em;
    max-width: 32em;
    background-color: #006690;
}

.navbar-header .popover .popover-content {
    padding: 0px;
}

.cloud-menu .popover-content {
    padding: 0px;
}

.cloud-actions {
    background-color: #005578;
    float: left;
    position: absolute;
    width: 100%;
    left: 0px;
    overflow: hidden;
}

.cloud-actions h3 {
    font-size: 16px;
    font-weight: 400;
    padding-left: 14px;
    margin-top: 10px;
}

.cloud-block-invert {
    color: #fff;
    float: left;
    width: 8.2em;
    height: 8.2em;
    background-color: #1f1f1f;
    margin: 0.5em 0em 0.5em 0.5em;
    text-align: center;
    cursor: pointer;
}

.cloud-block-default {
    color: #006690;
    background-color: #fff;
    cursor: pointer;
}

.cloud-actions a:hover {
    color: #d7d5d5;
    background-color: #3d3d3d;
    text-decoration: none
}

.cloud-apps a {
    text-decoration: none;
    color: #006690 !important;
    cursor: pointer
}

.cloud-apps a:hover {
    text-decoration: none;
    color: #006690;
    background-color: #c5c5c5;
}

.cloud-apps .cloud-actions a {
    color: #fff
}

.add-padding-top-3x {
    padding-top: 15px !important;
}

.op-disabled, .op-disabled i, .op-disabled span {
    cursor: not-allowed;
    color: #d2d2d2;
}

ul#noty_topRight_layout_container li{
    margin-bottom: 10px;
}

.list-group-item.active > .list-group{
    display: block;
    margin-bottom: 0px;
}

.list-group-item.active > .list-group > .list-group-item > a{
    background: none;
}

.list-group-item.active > .list-group > .list-group-item > a:active,
.list-group-item.active > .list-group > .list-group-item > a:focus,
.list-group-item.active > .list-group > .list-group-item > a:hover{
    color : whitesmoke;
}

a.new-notification {
    text-transform: capitalize;
}

/**
* This is to fix the issue https://github.com/wso2/product-iots/issues/1354.
* Proper fix should be given for this.
*/
.modal {
    z-index: 1000;
}

.modal-backdrop {
    z-index: 999;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #0f0f0f;
}
